function enum(tbl)
    local length = #tbl
    for i = 1, length do
        local v = tbl[i]
        tbl[v] = i
    end

    return tbl
end

Bucket = enum {"NEW", "LEARNING", "DUE", "UNKNOWN"}
Ease = enum {"WRONG", "HARD", "OKAY", "EASY"}
Kind = enum {"NEW", "LEARNING", "DUE", "RELEARNING", "UNKNOWN"}

TimeOfDay = enum {"MORNING", "AFTERNOON", "EVENING", "NIGHT"}
Weekday = enum {"MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY"}

-- storage space for globals
G = {}