local M = {}

local button_style = {}
button_style["button"] = {
	LONGTAP_TIME = 0.4,
	DOUBLETAP_TIME = 0.4,

	HOVER_MOUSE_IMAGE = "button-hover",
	DEFAULT_IMAGE = "button-default",
	HOVER_IMAGE = "button-press",

	on_hover = function(self, node, state)
		local anim = state and button_style.button.HOVER_IMAGE or button_style.button.DEFAULT_IMAGE
		gui.play_flipbook(node, anim)
	end,

	on_mouse_hover = function(self, node, state)
		local anim = state and button_style.button.HOVER_MOUSE_IMAGE or button_style.button.DEFAULT_IMAGE
		gui.play_flipbook(node, anim)
	end
}
M.button_style = button_style

return M
