local M = {}

local function read_file(file)
	local f = assert(io.open(file, "rb"))
	local content = f:read("*all")
	f:close()
	return content
end


M.load = function(path)
	local raw = read_file(path)
	if not raw then
		print("error loading")
		return
	end

	M.data = json.decode(raw)
end

M.set_data = function(data)
	M.data = data
end

M.get_scene = function(id)
	return M.data[id]
end

return M